Subject: Re: [PATCH] powerpc/pasemi: Only the build the pasemi MSI code for PASEMI=y

From: Michael Ellerman <[email-masked]>
Date: Fri, 10 Apr 2015 20:38:55 +1000

On Fri, 2015-04-10 at 16:42 +1000, Stephen Rothwell wrote:
> Hi Michael,
> 
> On Fri, 10 Apr 2015 15:28:34 +1000 Michael Ellerman <[email-masked]> wrote:
> >
> > Like this?
> > 
> > $ git diff --stat -M HEAD^
> >  arch/powerpc/platforms/pasemi/Makefile                            |  1 +
> >  arch/powerpc/{sysdev/mpic_pasemi_msi.c => platforms/pasemi/msi.c} |  4 +---
> >  arch/powerpc/sysdev/Makefile                                      |  2 +-
> >  arch/powerpc/sysdev/mpic.h                                        | 10 +++++-----
> >  4 files changed, 8 insertions(+), 9 deletions(-)
> 
> Yeah, much easier to see what is going on.  And (I think) the diff
> should work as long as it is only given to "git am" (et al) and not
> "patch".

Yep, which is fine by me.

I've worked out I can pass -M to git-send-email and it will pass it along to
git-format-patch and DTRT.

BUT, I can't work out how to tell git-send-email I *always* want to pass -M, so
I'll probably forget next time :)

cheers